<?php
declare(strict_types=1);

namespace App\Model\Table;

use Cake\ORM\Query\SelectQuery;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Rates Model
 *
 * @method \App\Model\Entity\Rate newEmptyEntity()
 * @method \App\Model\Entity\Rate newEntity(array $data, array $options = [])
 * @method array<\App\Model\Entity\Rate> newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Rate get(mixed $primaryKey, array|string $finder = 'all', \Psr\SimpleCache\CacheInterface|string|null $cache = null, \Closure|string|null $cacheKey = null, mixed ...$args)
 * @method \App\Model\Entity\Rate findOrCreate($search, ?callable $callback = null, array $options = [])
 * @method \App\Model\Entity\Rate patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method array<\App\Model\Entity\Rate> patchEntities(iterable $entities, array $data, array $options = [])
 * @method \App\Model\Entity\Rate|false save(\Cake\Datasource\EntityInterface $entity, array $options = [])
 * @method \App\Model\Entity\Rate saveOrFail(\Cake\Datasource\EntityInterface $entity, array $options = [])
 * @method iterable<\App\Model\Entity\Rate>|\Cake\Datasource\ResultSetInterface<\App\Model\Entity\Rate>|false saveMany(iterable $entities, array $options = [])
 * @method iterable<\App\Model\Entity\Rate>|\Cake\Datasource\ResultSetInterface<\App\Model\Entity\Rate> saveManyOrFail(iterable $entities, array $options = [])
 * @method iterable<\App\Model\Entity\Rate>|\Cake\Datasource\ResultSetInterface<\App\Model\Entity\Rate>|false deleteMany(iterable $entities, array $options = [])
 * @method iterable<\App\Model\Entity\Rate>|\Cake\Datasource\ResultSetInterface<\App\Model\Entity\Rate> deleteManyOrFail(iterable $entities, array $options = [])
 *
 * @mixin \Cake\ORM\Behavior\TimestampBehavior
 */
class RatesTable extends Table
{
    /**
     * Initialize method
     *
     * @param array<string, mixed> $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config): void
    {
        parent::initialize($config);

        $this->setTable('rates');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        $this->addBehavior('Timestamp');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator): Validator
    {
        $validator
            ->scalar('from_state')
            ->maxLength('from_state', 25)
            ->allowEmptyString('from_state');

        $validator
            ->scalar('to_state')
            ->maxLength('to_state', 25)
            ->allowEmptyString('to_state');

        $validator
            ->decimal('rate')
            ->allowEmptyString('rate');

        return $validator;
    }
}
