<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Rate $rate
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Rate'), ['action' => 'edit', $rate->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Rate'), ['action' => 'delete', $rate->id], ['confirm' => __('Are you sure you want to delete # {0}?', $rate->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Rates'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Rate'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="rates view content">
            <h3><?= h($rate->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('From State') ?></th>
                    <td><?= h($rate->from_state) ?></td>
                </tr>
                <tr>
                    <th><?= __('To State') ?></th>
                    <td><?= h($rate->to_state) ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($rate->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Rate') ?></th>
                    <td><?= $rate->rate === null ? '' : $this->Number->format($rate->rate) ?></td>
                </tr>
                <tr>
                    <th><?= __('Modified') ?></th>
                    <td><?= h($rate->modified) ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
