<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit User'), ['action' => 'edit', $user->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete User'), ['action' => 'delete', $user->id], ['confirm' => __('Are you sure you want to delete # {0}?', $user->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Users'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New User'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="users view content">
            <h3><?= h($user->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Role') ?></th>
                    <td><?= h($user->role) ?></td>
                </tr>
                <tr>
                    <th><?= __('Email') ?></th>
                    <td><?= h($user->email) ?></td>
                </tr>
                <tr>
                    <th><?= __('First Name') ?></th>
                    <td><?= h($user->first_name) ?></td>
                </tr>
                <tr>
                    <th><?= __('Last Name') ?></th>
                    <td><?= h($user->last_name) ?></td>
                </tr>
                <tr>
                    <th><?= __('Company Name') ?></th>
                    <td><?= h($user->company_name) ?></td>
                </tr>
                <tr>
                    <th><?= __('Last Sign In Ip') ?></th>
                    <td><?= h($user->last_sign_in_ip) ?></td>
                </tr>
                <tr>
                    <th><?= __('Status') ?></th>
                    <td><?= h($user->status) ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($user->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Last Sign In Time') ?></th>
                    <td><?= h($user->last_sign_in_time) ?></td>
                </tr>
                <tr>
                    <th><?= __('Created') ?></th>
                    <td><?= h($user->created) ?></td>
                </tr>
                <tr>
                    <th><?= __('Modified') ?></th>
                    <td><?= h($user->modified) ?></td>
                </tr>
            </table>
            <div class="related">
                <h4><?= __('Related In Out Logs') ?></h4>
                <?php if (!empty($user->in_out_logs)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('User Id') ?></th>
                            <th><?= __('Event Type') ?></th>
                            <th><?= __('Event Time') ?></th>
                            <th><?= __('From Ip') ?></th>
                            <th><?= __('Session Id') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($user->in_out_logs as $inOutLog) : ?>
                        <tr>
                            <td><?= h($inOutLog->id) ?></td>
                            <td><?= h($inOutLog->user_id) ?></td>
                            <td><?= h($inOutLog->event_type) ?></td>
                            <td><?= h($inOutLog->event_time) ?></td>
                            <td><?= h($inOutLog->from_ip) ?></td>
                            <td><?= h($inOutLog->session_id) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'InOutLogs', 'action' => 'view', $inOutLog->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'InOutLogs', 'action' => 'edit', $inOutLog->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'InOutLogs', 'action' => 'delete', $inOutLog->id], ['confirm' => __('Are you sure you want to delete # {0}?', $inOutLog->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
